%bcond_without mead

%define reltag .redhat_5
%define namedreltag -redhat-5
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.6.1-19.redhat_5.ep6.el6

Name:           dom4j-eap6
Version:        1.6.1
Release:        19%{?reltag}%{?dist}
Epoch:          0
Summary:        DOM4J
License:        BSD
Group:          Development/Java

%if %with mead
Source102: dom4j-jarjar-1.6.1-redhat-5.pom
Source103: dom4j-jarjar-1.6.1-redhat-5.jar
Source104: dom4j-1.6.1-redhat-5.pom
Source105: dom4j-1.6.1-redhat-5.jar
Source106: dom4j-1.6.1-redhat-5-sources.zip
Source107: dom4j-1.6.1-redhat-5-patches.zip
%endif

URL:            http://www.dom4j.org/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
dom4j is an Open Source XML framework for Java. dom4j allows you to read,
write, navigate, create and modify XML documents. dom4j integrates with 
DOM and SAX and is seamlessly integrated with full XPath support. 

Note: To use the msv JARV factory (com.sun.msv.verifier.jarv.TheFactoryImpl)
make sure isorelax.jar (from the 'isorelax' RPM) is in the ClassPath.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/dom4j-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/dom4j-%{namedversion}.jar
%{_javadir}/%{name}/dom4j.jar

%changelog
* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-19.redhat_5
- Wrap dom4j-1.6.1-19.redhat_5.ep6.el6

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-18.redhat_5
- Wrap dom4j-1.6.1-18.redhat_5.ep6.el6

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-4.redhat_5
- Wrap dom4j-1.6.1-19.redhat_5.ep6.el6

* Wed Feb 06 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-3
- Include sources/patches in SRPM

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-2
- fix build

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-1
- release
